Notice: Only variables should be passed by reference in commerce_cart_product_add()

Notice: Only variables should be passed by reference in commerce_cart_product_add() (line 1344 of/home/nginx/domains/thatk.com/public/sites/all/modules/commerce/modules/cart/commerce_cart.module).

 

找到源码:

drupal_alter('commerce_cart_product_comparison_properties', $comparison_properties, clone($line_item));

 

修改为
    $tmp_line_item = clone($line_item);
    drupal_alter('commerce_cart_product_comparison_properties', $comparison_properties, $tmp_line_item);

windows 10 开启 linux Bash

Post from Blogilo


Blogilo

Hello

Blog posted from Ubuntu

Ubuntu 上的离线写博客.

Ubuntu 16.04 LTS 安装 LEMP

drush rr registry rebuild

hierarchical_select 更新出错.暂缓

drush up hierarchical_select
Update information last refreshed: Mon, 07/25/2016 - 17:21
Name                                       Installed Version  Proposed version  Message         
Hierarchical Select (hierarchical_select)  7.x-3.0-beta5      7.x-3.0-beta7     Update available

Drupal 8 Commerce library 依赖的解决. commerceguys/intl commerceguys/pricing commerceguys/enum commerceguys/addressing commerceguys/zone commerceguys/tax

cd path/to/website/
drush dl composer_manager
php modules/composer_manager/scripts/init.php
composer dump-autoload

devel_themer 安装启用问题

1.不支持 PHP7;

2.对 jQuery版本有要求,过高版本的,可能导致前台页面不显示 [ themer info ]. 使用1.8 和 drupal自带的 jquery 能正常工作.

3.不要启用 Display theme log 选项, 启用后,可能导致 ajax 错误. 无法显示 var 数组.

chrome_2016-07-24_02-47-18

Pages

Subscribe to thatK 芦荟的博客 RSS